import "reflect-metadata";
import * as dotenvSafe from "dotenv-safe";
import { Action, createExpressServer, HttpError } from "routing-controllers";
import consola from "consola";
import loaders from "./loaders/index";
import authchecker from "./authchecker";
// 
dotenvSafe.config();
const PORT = process.env.APP_PORT || 4010;

const app = createExpressServer({
    authorizationChecker: authchecker,
    development: false,
    controllers: [`${__dirname}/controllers/*.ts`],
});

(async () => {
    await loaders(app);
    app.listen(PORT, () => {
        consola.success(
            `⚡️[server]: Server is running at http://localhost:${PORT}`
        );
    });
})();